'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * @desc Types of formats of data you can send through body of Fetch request.
 */

/**
 * @desc Json is object converted to string. It is default format in a library.
 */
const JSON = 'json';
/**
 * @desc Form Data can be used to send images.
 * @see https://developer.mozilla.org/en-US/docs/Web/API/FormData
 */

const FORM_DATA = 'formdata';
/**
 * @desc Url encoded data in body
 * @see https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/POST
 */

const URL_ENCODED = 'urlencoded';

exports.FORM_DATA = FORM_DATA;
exports.JSON = JSON;
exports.URL_ENCODED = URL_ENCODED;
