declare type Processor<Input = any, Output = any> = (response: Input, request: Request) => Promise<Output>;
export declare type ProcessorAdapter<Input = any, Output = any> = {
    processResponse: Processor<Input, Output>;
} | Processor<Input, Output>;
/**
 * Resolve given processor.
 *
 * @param response - Response to process.
 * @param list - Array of processors.
 * @param request - fetch request
 * @param i - Index of current processor.
 * @returns Processed response
 */
export default function resolveProcessors<Processors extends ProcessorAdapter[] = ProcessorAdapter[]>(response: any, list: Processors, request: Request, i?: number): Promise<any>;
export {};
